[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'InterfaceBase' (#lcl)

# TWidgetSet.SetWindowLong

Sets an attribute of a window.

## Declaration

Source position: winapih.inc line 264

`public function TWidgetSet.SetWindowLong(`
`Handle: HWND;`
`Idx: Integer;`
`NewLong: PtrInt`
`):PtrInt; virtual;`

## Arguments

`Handle` |  | The window handle.
`Idx` |  | The attribute offset.
`NewLong` |  | The new value.

## Function result

The previous value, zero on failure.

## See also

TWidgetSet.GetWindowLong |  | Returns the attributes of a window.